ubuntu 16.04 wordpress php7.1に変更 さらにphp7.2に

wordpress公式サイトの推奨がphp 7.2以上らしい

php7.0からphp7.1にアップグレード

# apt-get install software-properties-common
# add-apt-repository ppa:ondrej/php
# apt update
# apt install php7.1 libapache2-mod-php7.1 php7.1-common php7.1-mbstring php7.1-xmlrpc php7.1-soap php7.1-gd php7.1-xml php7.1-intl php7.1-mysql php7.1-cli php7.1-mcrypt php7.1-zip php7.1-curl

php.iniの変更

# vi /etc/php/7.1/apache2/php.ini
file_uploads = On
allow_url_fopen = On
memory_limit = 256M
upload_max_filesize = 100M
max_execution_time = 360
date.timezone = Asia/Tokyo

PHP7.0を無効にしPHP 7.1を有効にする

# a2dismod php7.0
# a2enmod php7.1

apache2の再起動

# systemctl restart apache2.service

php7.2にする

アップグレード

# apt-get update
# apt-get upgrade

php.iniの変更

# vi /etc/php/7.2/apache2/php.ini
file_uploads = On
allow_url_fopen = On
memory_limit = 512M
upload_max_filesize = 100M
max_execution_time = 360
date.timezone = Asia/Tokyo

PHP7.1を無効にしPHP 7.2を有効にする

# a2dismod php7.1
# a2enmod php7.2

apache2の再起動

# systemctl restart apache2.service

確認

# vi /var/www/wordpress/info.php
<?php
phpinfo();
?>

http://www.ckenko25.jp/info.php
これでバージョンが7.2になっていればOK

関連広告記事
スポンサーリンク

シェアする

  • このエントリーをはてなブックマークに追加

フォローする

スポンサーリンク